package cn.com.qmth.stmms.admin.vo;

import java.io.Serializable;
import java.util.List;

public class SubjectStatusVO implements Serializable {

    private static final long serialVersionUID = 766879954638123896L;

    private int subjectId;

    private String subjectName;

    private boolean hasObjective;

    private boolean hasSubjective;

    private boolean hasSubjectHeader;

    private boolean hasMarker;

    private String status;

    private int classType;

    private int markSubjectStatus;

    private boolean hasLeaf;

    private List<SubjectStatusVO> subList;

    public int getSubjectId() {
        return subjectId;
    }

    public void setSubjectId(int subjectId) {
        this.subjectId = subjectId;
    }

    public String getSubjectName() {
        return subjectName;
    }

    public void setSubjectName(String subjectName) {
        this.subjectName = subjectName;
    }

    public boolean isHasObjective() {
        return hasObjective;
    }

    public void setHasObjective(boolean hasObjective) {
        this.hasObjective = hasObjective;
    }

    public boolean isHasSubjective() {
        return hasSubjective;
    }

    public void setHasSubjective(boolean hasSubjective) {
        this.hasSubjective = hasSubjective;
    }

    public boolean isHasSubjectHeader() {
        return hasSubjectHeader;
    }

    public void setHasSubjectHeader(boolean hasSubjectHeader) {
        this.hasSubjectHeader = hasSubjectHeader;
    }

    public boolean isHasMarker() {
        return hasMarker;
    }

    public void setHasMarker(boolean hasMarker) {
        this.hasMarker = hasMarker;
    }

    public String getStatus() {
        return status;
    }

    public void setStatus(String status) {
        this.status = status;
    }

    public int getMarkSubjectStatus() {
        return markSubjectStatus;
    }

    public void setMarkSubjectStatus(int markSubjectStatus) {
        this.markSubjectStatus = markSubjectStatus;
    }

    public int getClassType() {
        return classType;
    }

    public void setClassType(int classType) {
        this.classType = classType;
    }

    public boolean getHasLeaf() {
        return hasLeaf;
    }

    public void setHasLeaf(boolean hasLeaf) {
        this.hasLeaf = hasLeaf;
    }

    public List<SubjectStatusVO> getSubList() {
        return subList;
    }

    public void setSubList(List<SubjectStatusVO> subList) {
        this.subList = subList;
    }

}
